# Movie Library API

Cette API permet de gérer une bibliothèque de films.

## Configuration requise

- Node.js (v20 recommandé)
- RabbitMQ (v3.8 recommandé)
- Serveur de messagerie SMTP (Etheral recommandé)

## Installation

1. Clonez ce dépôt : https://git.odabasioglu.fr/Cemal/iut-hapi
2. Installez les dépendances : `npm install`
3. Créez un fichier `.env` à la racine du projet et renseignez les variables d'environnement suivantes :
   - `EMAIL_USER` : le port sur lequel le serveur doit écouter
   - `EMAIL_PASSWORD` : l'URL de votre serveur RabbitMQ
   - `EMAIL_FROM` : l'adresse de votre serveur SMTP
   - `EMAIL_PORT` : le port de votre serveur SMTP
   - `EMAIL_HOST` : l'identifiant de votre serveur SMTP
   - `EMAIL_PASS` : le mot de passe de votre serveur SMTP
4. Exécutez les migrations de la base de données :
    - `knex migrate:latest`
5. Démarrez le conteneur RabbitMQ : `docker run -it --rm --name rabbitmq -p 5672:5672 -p 15672:15672 rabbitmq:3.12-management`
6. Démarrez le conteneur MySQL : `docker run --name hapi-mysql -e MYSQL_ROOT_PASSWORD=hapi -e MYSQL_DATABASE=user mysql --default-authentication-plugin=mysql_native_password -d mysql:8`
7. Démarrez le serveur : `node server/index.js`
8. Le serveur est maintenant accessible à l'adresse `http://localhost:4000`
9. Vous pouvez accéder à la documentation de l'API à l'adresse `http://localhost:4000/documentation`

